package com.fufan.mtsaas.modules.base.sysmsg.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.fufan.mtsaas.modules.base.sysmsg.bo.request.MsgQueryRequest;
import com.fufan.mtsaas.modules.base.sysmsg.bo.response.MsgResponse;
import com.fufan.mtsaas.modules.base.sysmsg.model.TSysMessage;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 系统消息表(TSysMessage)表数据库访问层
 *
 * @author Liby
 * @since 2025-01-08 15:58:33
 */
public interface TSysMessageDao extends BaseMapper<TSysMessage> {

    List<TSysMessage> selectList(Page page, @Param("params") Map<String, String> params);

    /**
     * 分页查询
     * @param page
     * @param entity
     * @return
     */
    List<MsgResponse> selectByPage(Page<MsgResponse> page, MsgQueryRequest entity);

    @Override
    Integer insert(TSysMessage entity);

    @Override
    Integer deleteById(Serializable id);

    TSysMessage queryById(Serializable id);

    List<TSysMessage> queryAllByLimit(TSysMessage entity);

    List<TSysMessage> queryAll(TSysMessage entity);

    Long count(TSysMessage entity);

}

